Page MenuHomePhabricator

[OpenMP][Tests] Flag compatibility of OpenMP runtime tests with GCC versions
ClosedPublic

Authored by protze.joachim on Jul 2 2020, 12:54 PM.

Details

Summary

Some of the recently added tests are not compatible with GCC. Also checked compatibility with GCC 10

If the compilation fails, the test is marked as unsupported.
-> This will never change for a specific version of gcc

If the linking fails, the test is marked as expected to fail.
-> This might change as LLVM/OpenMP implements the missing GOMP interface function

I successfully ran make check-libomp with GCC versions 6-10
Issues with the OMPT tests are addressed in D82267

Diff Detail

Event Timeline

protze.joachim created this revision.Jul 2 2020, 12:54 PM

In other tests we start gcc versions with gcc-4.
I added those flags for the task reduction case without explicitly testing gcc-4/gcc-5

protze.joachim added a comment.EditedJul 3 2020, 2:34 AM

I have no idea, what Harbormaster is trying to tell me.

https://buildkite.com/llvm-project/premerge-checks/builds/2535#_

shows a failure in ninja all, but the only information about the command is in the artifact, which shows [4042/4042] successfully built targets.

I have no idea, what Harbormaster is trying to tell me.

https://buildkite.com/llvm-project/premerge-checks/builds/2535#_

shows a failure in ninja all, but the only information about the command is in the artifact, which shows [4042/4042] successfully built targets.

I am also seeing the same behavior for D82963 with no idea about the underlying issue.
https://buildkite.com/llvm-project/premerge-checks/builds/2519

Hahnfeld accepted this revision.Jul 5 2020, 11:30 AM
Hahnfeld added a subscriber: Hahnfeld.

LGTM

This revision is now accepted and ready to land.Jul 5 2020, 11:30 AM
This revision was automatically updated to reflect the committed changes.